Bug 9591 - proc inode leak
: proc inode leak
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-feat-core-vserver)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-05-18 19:15 by
Modified: 2006-06-17 16:36 (History)


Attachments
/proc/slabinfo (12.85 KB, text/plain)
2006-05-18 19:15, Nick S. Grechukh
no flags Details
/proc/meminfo (690 bytes, text/plain)
2006-05-18 19:17, Nick S. Grechukh
no flags Details
/proc/meminfo (690 bytes, application/octet-stream)
2006-05-18 19:18, Nick S. Grechukh
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-18 19:15:22
$ uname -r
2.6.16-std26-smp-alt4


после работы ресурсоемкой тулзы, активно форкающейся, после убийства всех
процессов остается вот такое.

$ free
total       used       free     shared    buffers     cached
Mem:        970932     956412      14520          0        852      24324
-/+ buffers/cache:     931236      39696
Swap:      1044216     246832     797384

<vsu> gns: для воспроизведения должно быть достаточно while /bin/true; do :;
done в одной консоли, и top (или ещё чего-нибудь, что лазит в /proc/$pid/...) в
другой

см. аттач, meminfo и slabinfo

<vsu> gns: а я нашёл багу
<vsu> gns: в vs2.0.2-rc15-altsec.patch
<vsu> gns: причём рядом vs2.0.2-rc15-noaltsec.patch нормальный
<vsu> gns: там строка inode = proc_pid_make_inode(dir->i_sb, task,
PROC_TGID_INO); два раза повторяется
<vsu> gns: кстати, сейчас в kernel cvs этот патч исправлен
<vsu> gns: а вот в ту сборку, похоже, ушёл кривой
<vsu> gns: в cvs бага исправлена, в крайнем случае, если там сейчас развал в
других местах, можно собрать 3.1 с заменой только этого патчика
------- Comment #1 From 2006-05-18 19:15:59 -------
Created an attachment (id=1495) [details]
/proc/slabinfo
------- Comment #2 From 2006-05-18 19:17:27 -------
Created an attachment (id=1496) [details]
/proc/meminfo
------- Comment #3 From 2006-05-18 19:18:00 -------
Created an attachment (id=1497) [details]
/proc/meminfo
------- Comment #4 From 2006-05-19 10:19:04 -------
Reassign to lakostis@
------- Comment #5 From 2006-05-19 10:29:53 -------
Баг исправлен в kernel cvs. Обновленные kernel-feat-core-vserver и
kernel-image-vs26-smp будут выложены сегодня в Сизиф.
------- Comment #6 From 2006-05-22 18:18:20 -------
А когда будут доступные новые сборки ядра?  
------- Comment #7 From 2006-05-24 21:46:31 -------
(In reply to comment #6)
> А когда будут доступные новые сборки ядра?  

действительно, когда?
------- Comment #8 From 2006-06-17 16:36:47 -------
fixed in kernel-image-vs26-smp-alt8.